### Method

# FwupdPlugin BiosSettings to_variant

since: 1.8.4

#### Declaration [src]

    GVariant*
    fu_bios_settings_to_variant (
      FuBiosSettings* self,
      gboolean trusted
    )

#### Description [src]

Serializes the `FwupdBiosSetting` objects.

Available since: 1.8.4

#### Parameters

`trusted`

  Type: `gboolean`

  Whether the caller should receive trusted values.

#### Return value

Type: `GVariant`

A `GVariant` or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.